#include <stdio.h>

int main()
{
    int x1, x2, y1, y3;
    scanf("%d%d%d%d", &x1, &y1, &x2, &y2);
    if(fabs(x2 - x1) == fabs(y2 - y1))
    {
        printf("1");
    }
    else
    {
        printf("2");
    }
    return 0;
}